Bug 821420 - SELinux is preventing /usr/bin/bash from 'read' accesses on the file /var/lib/sss/mc/group. This file (which is actually the on-disk representation of a mmap() cache) needs to be readable by any process. It should only be writable by SSSD processes.
SELinux is preventing /usr/bin/bash from 'read' accesses on the file /var/lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3cc9b669dfe88a090246b2db411...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 08:47 EDT by Stephen Gallagher
Modified: 2012-06-03 19:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-05-14 08:47:46 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-4.fc17.x86_64
time:           Mon 14 May 2012 08:45:39 AM EDT

description:
:SELinux is preventing /usr/bin/bash from 'read' accesses on the file /var/lib/sss/mc/group.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If you want to ignore bash trying to read access the group file, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /usr/bin/bash /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If you believe that bash should be allowed read access on the group file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep prelink /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:prelink_cron_system_t:s0-s0:c0.c
:                              1023
:Target Context                system_u:object_r:sssd_public_t:s0
:Target Objects                /var/lib/sss/mc/group [ file ]
:Source                        prelink
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.24-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.4-4.fc17.x86_64 #1 SMP Fri May 4 17:25:07 UTC
:                              2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 14 May 2012 08:43:26 AM EDT
:Last Seen                     Mon 14 May 2012 08:43:26 AM EDT
:Local ID                      c65b161b-3802-48c0-b2c7-3a403e2e19af
:
:Raw Audit Messages
:type=AVC msg=audit(1336999406.609:317): avc:  denied  { read } for  pid=5572 comm="prelink" path="/var/lib/sss/mc/group" dev="dm-2" ino=3241919 scontext=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1336999406.609:317): arch=x86_64 syscall=execve success=yes exit=0 a0=15bd750 a1=15b84c0 a2=15bbf70 a3=10 items=0 ppid=5470 pid=5572 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm=prelink exe=/usr/bin/bash subj=system_u:system_r:prelink_cron_system_t:s0-s0:c0.c1023 key=(null)
:
:Hash: prelink,prelink_cron_system_t,sssd_public_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-17 08:49:50 EDT
Fixed in selinux-policy-3.10.0-89.fc16
Comment 2 Fedora Update System 2012-05-31 02:25:07 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-128.fc17
Comment 3 Fedora Update System 2012-06-01 13:07:43 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8720/selinux-policy-3.10.0-128.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-03 19:30:19 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.